Personal Blog of Thomas Hampel - Creative Mythbusting in Development and Collaboration

Previous Document Next Document

Launchpad - Unable to find supported browser

Thomas Hampel
 30 December 2012

When installing IBM products based on Launchpad, such as IBM Websphere Application Server, newer Linux distributions might cause "Unable to find supported browser"

The launchpad application cannot start. This error typically occurs when a supported browser cannot be found.

Looking into details, you'll find Firefox v10 or later has been installed in your Linux distribution so you will need to modify the launchpad application to support those.


Two files  need to be modified...
  • browser.sh
    can be found in the installation packet itself at /launchpad/browser.sh
  • fbrowsher.sh
    can be found after the product has been installed at /IBM/WebSphere/AppServer2/firststeps/fbrowser.sh

Modify each file so that it contains the following string in the supportedFirefoxVersion case statement:


*Firefox\ [1-9][0-9].*) return 0;;


The function should then look like this:


supportedFirefoxVersion()

{

case "$*" in

*Firefox\ [1-9].*) return 0;;

*Firefox/[1-9].*) return 0;;

*Firefox\ [1-9][0-9].*) return 0;;


For more details, see
Technote 159598

Just search the folder where you have your installation files using the command
find ./ -iname 'browser.sh'

and modify the each file shown
  • tdi/launchpad/browser.sh
  • WAS/launchpad/browser.sh
  • WASSupp1/launchpad/browser.sh
  • IBM_Connections_Install/launchpad/browser.sh
Tagged with: Connections Error
Comments

1.) Launchpad - Unable to find supported browser

karthikeya http:// 08.01.2014 14:58:07

It helped Thank you very much.

Go ElsewhereSubscribe to RSSAboutStay ConnectedAnd More
Thomas Hampel, All rights reserved.